Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.service
Class MetaTransportServiceDescriptor

    java.lang.Object
      org.mule.api.registry.AbstractServiceDescriptor
          org.mule.transport.service.DefaultTransportServiceDescriptor
              org.mule.transport.service.MetaTransportServiceDescriptor

All Implemented Interfaces:
  MuleContextAware, ServiceDescriptor, TransportServiceDescriptor

    public class MetaTransportServiceDescriptor

extends DefaultTransportServiceDescriptor

Used to describe a Meta transport, one which only defines an endpoint, not a connector, receiver, dispatcher, etc

Since:
  3.0.0

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.api.registry.AbstractServiceDescriptor
`AbstractServiceDescriptor.Key`

Field Summary

Fields inherited from class org.mule.api.registry.AbstractServiceDescriptor
`logger, service`

Fields inherited from interface org.mule.transport.service.TransportServiceDescriptor
`OSGI_HEADER_TRANSPORT`

Constructor Summary
`MetaTransportServiceDescriptor(String metaScheme, String scheme, Properties props, ClassLoader classLoader)`

Method Summary
`Connector` | `createConnector()` Override the connector cration and register our Meta scheme with the connecotr so that the connector can be used when creating endpoints using this meta transport

Methods inherited from class org.mule.transport.service.DefaultTransportServiceDescriptor
`createDispatcherFactory, createEndpointBuilder, createEndpointBuilder, createEndpointBuilder, createEndpointURIBuilder, createInboundTransformers, createMessageReceiver, createMessageReceiver, createMuleMessageFactory, createOutboundTransformers, createRequesterFactory, createResponseTransformers, createSessionHandler, createTransactionFactory, createTransformer, getDefaultExchangePattern, getExceptionMappings, getInboundExchangePatterns, getOutboundExchangePatterns, init, initInboundExchangePatterns, initOutboundExchangePatterns, parseExchangePatterns, setExceptionMappings, setMuleContext, setOverrides`

Methods inherited from class org.mule.api.registry.AbstractServiceDescriptor
`getService, removeClassProperty, removeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.registry.ServiceDescriptor
`getService`

Constructor Detail

### MetaTransportServiceDescriptor

    public MetaTransportServiceDescriptor(String metaScheme,
                                          String scheme,
                                          Properties props,
                                          ClassLoader classLoader)
                                   throws ServiceException

Throws:
  `ServiceException`

Method Detail

### createConnector

    public Connector createConnector()
                              throws TransportServiceException

  Override the connector cration and register our Meta scheme with the connecotr so that the connector can be used when creating endpoints using this meta transport

  Specified by:
    `createConnector` in interface `TransportServiceDescriptor`
  Overrides:
    `createConnector` in class `DefaultTransportServiceDescriptor`
  Returns:
    a transport connector matching the scheme of the descriptor with the meta scheme registered with the connector
  Throws:
    `TransportServiceException` - if the connector cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.